/***************************************************************
 * Name:      wx012App.cpp
 * Purpose:   Code for Application Class
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-12-02
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifdef WX_PRECOMP
#include "wx_pch.h"
#endif

#include "wx012App.h"
#include "wx012Main.h"
#include "logo_peq.xpm"

IMPLEMENT_APP(wx012App);

bool wx012App::OnInit()
{
    wx012Frame* frame = new wx012Frame(0L, _("wxWidgets Ejemplo 12"));
    frame->SetIcon(logo); // To Set App Icon
    frame->Show();

    return true;
}
